%define name	TiMidity++
%define version	2.13.1
%define	cvsdate	cvs20040722
%define release	0.%{cvsdate}.1mdk

Summary:	MIDI to WAVE converter and player
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://timidity.sourceforge.net/
Source0:	%{name}-%{version}-%{cvsdate}.tar.bz2
Source1:	http://www.timidity.jp/dist/cfg/timidity.cfg.bz2
Source11: 	%{name}48.png
Source12: 	%{name}32.png
Source13: 	%{name}16.png
License:	GPL
Group:		Sound
Requires:	timidity-instruments
BuildRequires:	alsa-lib-devel autoconf2.5 gtk-devel nas-static-devel arts-devel esound-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(tm) or SoundFont(tm) patch files to generate digital audio data
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

%prep
%setup -q -n timidity

%build
%configure ENABLE_PLUGIN_FALSE=1 --enable-audio=oss,alsa,nas,arts,esd --enable-gtk --enable-alsaseq --enable-network
%make

%install
rm -rf $RPM_BUILD_ROOT
#XXX Drill out cross compile stupidity.
find . -name 'Makefile' -exec perl -pi -e 's/^transform.*$/transform = /g' {} \;

%makeinstall
## XXX Need timidity.conf to make it work.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timidity $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/timidity.cfg
ln -s %{_sysconfdir}/timidity.cfg $RPM_BUILD_ROOT%{_datadir}/timidity/timidity.cfg

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="timidity -ig" icon="%{name}.png" needs="x11" title="TiMidity++" longtitle="MIDI file player" section="Multimedia/Sound"
EOF

#icons
%{__install} %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/C/README* COPYING
%config(noreplace) %{_sysconfdir}/timidity.cfg
%{_bindir}/timidity
%{_mandir}/man1/timidity*
%{_mandir}/man5/timidity*
%config(noreplace) %{_datadir}/timidity/timidity.cfg
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jul 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.13.1-0.cvs20040722.1mdk
- update to cvs to have gtk+ interface working

* Sat May 22 2004 Per vind Karlsen <peroyvind@linux-mandrake.com> 2.13.0-2mdk
- fix buildrequires

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.13.0-1mdk
- 2.13.0
- drop all patches (fixed upstream)
- fix buildrequires (lib64..)
- fix non-conffile-in-etc

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 2.12.0-0.pre1.4mdk
- update patch5 for better arts detection (David Walser <luigiwalser@yahoo.com>)

* Thu May 29 2003 David Walser <luigiwalser@yahoo.com> 2.12.0-0.pre1.3mdk
- from David Walser <luigiwalser@yahoo.com> :
  - adopt patches from RedHat (esd, arts, nas, dlopen)

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 2.12.0-0.pre1.2mdk
- from David Walser <luigiwalser@yahoo.com> :
  - fix buildrequires
  - bzip and include proper config file
  - requires instruments
- enable network support and nas

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 2.12.0-0.pre1.1mdk
- add alsa support
- add menu and icons
- update description
- buildrequires libalsa-devel, autoconf2.5, and libgtk+1.2-devel

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.11.3-3mdk
- rebuild for new glibc/rpm, installed but not packaged files

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11.3-2mdk
- fix midi playing (Sylvain Vignaud)

* Thu May 09 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.11.3-1mdk
- Bump up version.
- Mark timidity.cfg as noreplace.
- Add warning tht you _need_ some sort of sound samples for this to work.
  For Mandrake users you can install timidity-instruments.

* Sat Apr 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.10.4-4mdk
- Patch1: Fix build with gcc-3.1+. Don't include /usr/local/* in
  include and lib search path. That would have caused the configury to
  fail for some checks.

* Tue Nov 27 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.4-3mdk
- fix rpmlint hints
- add a timidity.cfg

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.4-2mdk
- rebuild

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.4-1mdk
- Roll out 2.10.4 for everyone.

* Sat Apr 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.3-2mdk
- Touch /usr/share/timidity/timidity.cfg to make it work (Andrew Lee).
- Make use of %%configure and %%makeinstall.

* Sun Mar 11 2001 Yves Duret <yduret@mandrakesoft.com> 2.10.3-1mdk
- version 2.10.3 (bug fixes)
- changed Summary and %%description to something comprehensible
- added a -q option to %%setup
- spec clean up

* Sun Dec 17 2000 Yves Duret <yduret@mandrakesoft.com> 2.10.2-2mdk
- macroization
- fix the rpmlint warnings

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.2-1mdk
- new and shiny vesrion.
- reenable gtk (why was it ever disabled?!)
- cleanup of stale patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.1-1mdk
- shiny new version.
- remove the strip and bzip2 code.
- get a new source instead of using patches.

* Wed Aug 09 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.10.0-1mdk
- Version 2.10.0
- Fixed man location for FHS

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9.5-2mdk
- automatically added BuildRequires

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.9.5-1mdk
- Version 2.9.5

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version 2.9.4

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Mar 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 2.9.0
- change license: it's majorly wrong
- change the buildroot

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.8.2-1mdk
- 2.8.2

*  Fri Dec 3 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.8.1

* Tue Oct 26 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.7.0: Note that 2.7.0 change the place where data and config files
  are, so old patches do not work anymore; i removed the patches, 
  and timidity.cgf is now in /usr/share/timidity with the other
  files; you need timidity-instruments-1.0-4mdk with this package.

* Fri Aug  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.3.0
- fix download URL

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1.1

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Change paths to match the timidity-instruments package

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- handle RPM_OPT_FLAGS.
